{"command":{"effect":"write","timeoutSeconds":30,"inputSchema":{"type":"object","description":"Commits an autofix for a code scanning alert from the repository's default branch.\n\nIf an autofix is committed as a result of this request, then this endpoint will return a 201 Created response.\n\nOAuth app tokens and personal access tokens (classic) need the `repo` scope to use this endpoint with private or public repositories, or the `public_repo` scope to use this endpoint with only public repositories.","properties":{"path":{"type":"object","properties":{"owner":{"type":"string","description":"The account owner of the repository. The name is not case sensitive."},"repo":{"type":"string","description":"The name of the repository without the `.git` extension. The name is not case sensitive."},"alert_number":{"$ref":"#/definitions/alert-number","description":"The number that identifies an alert. You can find this at the end of the URL for a code scanning alert within GitHub, and in the `number` field in the response from the `GET /repos/{owner}/{repo}/code-scanning/alerts` operation."}},"required":["owner","repo","alert_number"],"additionalProperties":false},"body":{"$ref":"#/definitions/code-scanning-autofix-commits"}},"required":["path"],"additionalProperties":false,"definitions":{"alert-number":{"type":"integer","description":"The security alert number."},"code-scanning-autofix-commits":{"description":"Commit an autofix for a code scanning alert","type":["object","null"],"properties":{"target_ref":{"description":"The Git reference of target branch for the commit. Branch needs to already exist.  For more information, see \"[Git References](https://git-scm.com/book/en/v2/Git-Internals-Git-References)\" in the Git documentation.","type":"string"},"message":{"description":"Commit message to be used.","type":"string"}}}}},"name":"Commit an autofix for a code scanning alert","id":"github.code-scanning.commit-autofix","example":{"path":{"owner":"octocat","repo":"hello-world","alert_number":1}},"maxRequests":1,"summary":false}}